/**
* @license Apache-2.0
*
* Copyright (c) 2018 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Test if a value is an email address.
*
* @module @stdlib/assert/is-email-address
*
* @example
* var isEmail = require( '@stdlib/assert/is-email-address' );
*
* var bool = isEmail( 'beep@boop.com' );
* // returns true
*
* bool = isEmail( 'beep' );
* // returns false
*
* bool = isEmail( null );
* // returns false
*/

// MODULES //

var isEmail = require( './main.js' );


// EXPORTS //

module.exports = isEmail;
