/*
* @license Apache-2.0
*
* Copyright (c) 2019 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

// TypeScript Version: 2.0

/**
* Maximum safe Fibonacci number when stored in double-precision floating-point format.
*
* @example
* var max = FLOAT64_MAX_SAFE_FIBONACCI;
* // returns 8944394323791464
*/
declare const FLOAT64_MAX_SAFE_FIBONACCI: number;


// EXPORTS //

export = FLOAT64_MAX_SAFE_FIBONACCI;
