/**
* @license Apache-2.0
*
* Copyright (c) 2018 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* A (corrected) dataset derived from information collected by the US Census Service concerning housing in Boston, Massachusetts (1978).
*
* @module @stdlib/datasets/pace-boston-house-prices
*
* @example
* var dataset = require( '@stdlib/datasets/pace-boston-house-prices' );
*
* var data = dataset();
* // returns [ {...}, {...}, ... ]
*/

// MODULES //

var dataset = require( './main.js' );


// EXPORTS //

module.exports = dataset;
