/*
* @license Apache-2.0
*
* Copyright (c) 2019 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import cabs = require( './index' );


// TESTS //

// The function returns a number...
{
	cabs( 5, 3 ); // $ExpectType number
}

// The compiler throws an error if the function is provided a first argument which is not a number...
{
	cabs( true, 3 ); // $ExpectError
	cabs( false, 3 ); // $ExpectError
	cabs( null, 3 ); // $ExpectError
	cabs( undefined, 3 ); // $ExpectError
	cabs( '5', 3 ); // $ExpectError
	cabs( [], 3 ); // $ExpectError
	cabs( {}, 3 ); // $ExpectError
	cabs( ( x: number ): number => x, 3 ); // $ExpectError
}

// The compiler throws an error if the function is provided a second argument which is not a number...
{
	cabs( 5, true ); // $ExpectError
	cabs( 5, false ); // $ExpectError
	cabs( 5, null ); // $ExpectError
	cabs( 5, undefined ); // $ExpectError
	cabs( 5, '5' ); // $ExpectError
	cabs( 5, [] ); // $ExpectError
	cabs( 5, {} ); // $ExpectError
	cabs( 5, ( x: number ): number => x ); // $ExpectError
}

// The compiler throws an error if the function is provided insufficient arguments...
{
	cabs(); // $ExpectError
}
