/*
* @license Apache-2.0
*
* Copyright (c) 2020 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

// TypeScript Version: 2.0

/**
* Evaluates the identity function for single-precision floating-point number `x`.
*
* @param x - input value
* @returns input value
*
* @example
* var v = identityf( -1.0 );
* // returns -1.0
*
* @example
* var v = identityf( 2.0 );
* // returns 2.0
*
* @example
* var v = identityf( 0.0 );
* // returns 0.0
*
* @example
* var v = identityf( -0.0 );
* // returns -0.0
*
* @example
* var v = identityf( NaN );
* // returns NaN
*/
declare function identityf( x: number ): number;


// EXPORTS //

export = identityf;
