/**
* @license Apache-2.0
*
* Copyright (c) 2018 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

// MODULES //

var tape = require( 'tape' );
var joinStream = require( './../lib' );


// TESTS //

tape( 'main export is a function', function test( t ) {
	t.ok( true, __filename );
	t.equal( typeof joinStream, 'function', 'main export is a function' );
	t.end();
});

tape( 'attached to main export is a method to create a stream in object mode', function test( t ) {
	t.equal( typeof joinStream.objectMode, 'function', 'has method' );
	t.end();
});

tape( 'attached to main export is a method to create a stream factory', function test( t ) {
	t.equal( typeof joinStream.factory, 'function', 'has method' );
	t.end();
});
